Projects
Create a project
Create a new project to group monitors, heartbeats, domains and status pages.
POSThttps://api.vantaj.co/v1/projects
Requires an API key with the projects:write scope.
Authorizations
Authorizationstringheaderrequired
Bearer authentication using your API key: Authorization: Bearer <token>
Body
application/jsonnamestringrequired
Display name (1–120 characters).
colorstring
Accent color used in the app.
Allowed:
violetbluecyanemeraldamberroseDefault:violetCreate a project
cURL
curl --request POST \
--url 'https://api.vantaj.co/v1/projects' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "Production",
"color": "violet"
}'{
"data": {
"id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"name": "Production",
"color": "violet",
"created_at": "2026-01-15T10:30:00Z"
}
}